define(['jquery'], function ($) {
	'use strict';

	return {
		init: function () {
//			console.log('初始化执行');
			this.searchProductListAvtivity();
			this.searchBrightSpot();
		},
		
		//查活动
        searchProductListAvtivity:function() {
        	$("span[id^=Diy_Title_Activity_]").parent().hide();
        	var list=jQuery('span[id^=Diy_Title_Activity_]');
        	var id = new Array(list.length);
        	var idStr="";
        	for (var i = 0; i < list.length; i++) {
                   id[i] = list[i].id;
                   idStr+= list[i].id;
        	}
        	if(idStr==""){
        		return;
        	}
//        	var cpsUserId = jQuery.cookie('cpsUserId');
        	var channelsn = "wj";
//        	if(typeof(cpsUserId)!="undefined" && cpsUserId!=null && cpsUserId!=""){
//        		channelsn = "cps";
//        	}
        	jQuery.ajax({
        		type: 'post',
        		url: GLOBAL_OBJ.dynamicPath+'wj/sales_volume?methodName=searchProductListAvtivitySe&productId='+id+'&channelSn='+channelsn,
        		dataType: "json",
        		success: function(data) {
        			console.log(data);
        			jQuery.each(data, function(index, object) {
        				var index_productid=index.substring(0,index.indexOf("@"));
        				if  (object != null && object != '') {
        					var obj_str=object+"";
        					var activity_title=obj_str.substring(0,obj_str.indexOf("@"));
        					var activity_description=obj_str.substring(obj_str.indexOf("@")+1,obj_str.length);
        					var productidstr=index_productid.substring(index_productid.lastIndexOf("_")+1,index_productid.length);
        					$("#Diy_Activity_"+productidstr).html("<i>"+activity_description+"</i>");
        					$("#Diy_Title_Activity_"+productidstr).html("<em>"+ activity_title +"</em>");
        					$("#Diy_Title_Activity_"+productidstr).parent().show();
        				}
        			});
        		}
        	});
        },
        
        //查亮点
        searchBrightSpot:function() {
			$("span[id^=Diy_Title_Activity_]").parent().hide();
			var list=jQuery('span[id^=Diy_Title_Activity_]');
			var id = new Array(list.length);
			var idStr="";
			for (var i = 0; i < list.length; i++) {
				id[i] = list[i].id;
				idStr+= list[i].id;
			}
			if(idStr==""){
				return;
			}
			var channelsn = "wj";
			
			jQuery.ajax({
				type: 'post',
				url: GLOBAL_OBJ.dynamicPath+'wj/sales_volume?methodName=searchBrightSpot&productId='+id+'&channelSn='+channelsn,
				dataType: "json",
				success: function(data) {
					jQuery.each(data, function(index, object) {
						if  (object != null && object != '') {
							var obj_str=object+"";
							var brightSpotList = obj_str.split(",");
							for (var i = 0; i < brightSpotList.length; i++) {
								$("#Diy_Title_Activity_"+index).parents(".product").find(".proDEtail").append('<p class="productItem">'+brightSpotList[i]+'</p>') ;
							}
						}
					});
				}
			});
		}
		
	};
});
